## lua-messagepack 0.3.3

=== Makefile ===

LUA     := lua
VERSION := $(shell cd src && $(LUA) -e "m = require [[MessagePack]]; print(m._VERSION)")
TARBALL := lua-messagepack-$(VERSION).tar.gz
REV     := 1

LUAVER  := 5.1
PREFIX  := /usr/local
DPREFIX := $(DESTDIR)$(PREFIX)
LIBDIR  := $(DPREFIX)/share/lua/$(LUAVER)
INSTALL := install

ifeq ($(LUAVER),5.3)
SRC     := src5.3
else
SRC     := src
endif

all:
	@echo "Nothing to build here, you can just make install"

install:
	$(INSTALL) -m 644 -D $(SRC)/MessagePack.lua         $(LIBDIR)/MessagePack.lua

uninstall:
	rm -f $(LIBDIR)/MessagePack.lua

manifest_pl := \
use strict; \
use warnings; \
my @files = qw{MANIFEST}; \
while (<>) { \
    chomp; \
    next if m{^\.}; \
    next if m{^doc/\.}; \
    next if m{^doc/google}; \
    next if m{^rockspec/}; \
    push @files, $$_; \
} \
print join qq{\n}, sort @files;

rockspec_pl := \
use strict; \
use warnings; \
use Digest::MD5; \
open my $$FH, q{<}, q{$(TARBALL)} \
    or die qq{Cannot open $(TARBALL) ($$!)}; \
binmode $$FH; \
my %config = ( \
    version => q{$(VERSION)}, \
    rev     => q{$(REV)}, \
    md5     => Digest::MD5->new->addfile($$FH)->hexdigest(), \
); \
close $$FH; \
while (<>) { \
    s{@(\w+)@}{$$config{$$1}}g; \
    print; \
}

version:
	@echo $(VERSION)

CHANGES:
	perl -i.bak -pe "s{^$(VERSION).*}{q{$(VERSION)  }.localtime()}e" CHANGES

tag:
	git tag -a -m 'tag release $(VERSION)' $(VERSION)

doc:
	git read-tree --prefix=doc/ -u remotes/origin/gh-pages

MANIFEST: doc
	git ls-files | perl -e '$(manifest_pl)' > MANIFEST

$(TARBALL): MANIFEST
	[ -d lua-MessagePack-$(VERSION) ] || ln -s . lua-MessagePack-$(VERSION)
	perl -ne 'print qq{lua-MessagePack-$(VERSION)/$$_};' MANIFEST | \
	    tar -zc -T - -f $(TARBALL)
	rm lua-MessagePack-$(VERSION)
	rm -rf doc
	git rm doc/*

dist: $(TARBALL)

rockspec: $(TARBALL)
	perl -e '$(rockspec_pl)' rockspec.in > rockspec/lua-messagepack-$(VERSION)-$(REV).rockspec
	perl -e '$(rockspec_pl)' rockspec.lua53.in > rockspec/lua-messagepack-lua53-$(VERSION)-$(REV).rockspec

rock:
	luarocks pack rockspec/lua-messagepack-$(VERSION)-$(REV).rockspec
	luarocks pack rockspec/lua-messagepack-lua53-$(VERSION)-$(REV).rockspec

check: test

test:
	cd $(SRC) && prove --exec=$(LUA) ../test/*.t

luacheck:
	luacheck --std=max --codes src --ignore 211/_ENV 212 213 311/j
	luacheck --std=max --codes src5.3 --ignore 211/_ENV 212 213 311/j
	luacheck --std=max --config .test.luacheckrc test/*.t

coverage:
	rm -f src/luacov.stats.out src/luacov.report.out
	cd $(SRC) && prove --exec="$(LUA) -lluacov" ../test/*.t
	cd $(SRC) && luacov

coveralls:
	rm -f src/luacov.stats.out src/luacov.report.out
	cd $(SRC) && prove --exec="$(LUA) -lluacov" ../test/*.t
	cd $(SRC) && luacov-coveralls -e ^/usr -e %.t$

README.html: README.md
	Markdown.pl README.md > README.html

clean:
	rm -rf doc
	rm -f MANIFEST *.bak src/luacov.*.out README.html

realclean: clean

.PHONY: test rockspec CHANGES

=== debian/changelog ===
lua-messagepack (0.3.3-1) unstable; urgency=medium

  * Initial release (Closes: #784165)

 -- Jason Pleau <jason@jpleau.ca>  Sun, 20 Sep 2015 22:03:33 -0400

=== debian/control ===
Source: lua-messagepack
Section: interpreters
Priority: optional
Maintainer: Jason Pleau <jason@jpleau.ca>
Build-Depends: debhelper (>= 9), dh-lua
Standards-Version: 3.9.6
Homepage: http://fperrad.github.io/lua-MessagePack/
Vcs-Git: git://anonscm.debian.org/pkg-lua/lua-messagepack.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-lua/lua-messagepack.git

Package: lua-messagepack
Architecture: all
Depends: ${misc:Depends}
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: pure Lua implementation of MessagePack
 Lua module that provides an API to convert Lua data structures to MessagePack,
 and vice versa.
 .
 MessagePack is an efficient binary serialization format.
 .
 It lets you exchange data among multiple languages like JSON but it's faster.
 and smaller.

Package: lua-messagepack-dev
Section: libdevel
Architecture: all
Depends: lua-messagepack (= ${binary:Version}), ${misc:Depends}
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: Documentation for lua-messagepack
 This package contains the documentation for the lua-messagepack package.

## lua-messagepack 0.3.4

=== debian/changelog ===
lua-messagepack (0.3.4-1) unstable; urgency=medium

  * New upstream release
  * Add the lua5.3 compatible library
  * Update Standards-Version to 3.9.7, no changes needed
  * remove the lua-messagepack-dev package
  * cleanup unnecessary packaging files

 -- Jason Pleau <jason@jpleau.ca>  Thu, 11 Feb 2016 17:12:06 -0500

## lua-messagepack 0.3.6

=== Makefile ===
--- 
+++ 
@@ -32,8 +32,6 @@
 while (<>) { \
     chomp; \
     next if m{^\.}; \
-    next if m{^doc/\.}; \
-    next if m{^doc/google}; \
     next if m{^rockspec/}; \
     push @files, $$_; \
 } \
@@ -66,10 +64,7 @@
 tag:
 	git tag -a -m 'tag release $(VERSION)' $(VERSION)
 
-doc:
-	git read-tree --prefix=doc/ -u remotes/origin/gh-pages
-
-MANIFEST: doc
+MANIFEST:
 	git ls-files | perl -e '$(manifest_pl)' > MANIFEST
 
 $(TARBALL): MANIFEST
@@ -77,8 +72,6 @@
 	perl -ne 'print qq{lua-MessagePack-$(VERSION)/$$_};' MANIFEST | \
 	    tar -zc -T - -f $(TARBALL)
 	rm lua-MessagePack-$(VERSION)
-	rm -rf doc
-	git rm doc/*
 
 dist: $(TARBALL)
 
@@ -113,8 +106,10 @@
 README.html: README.md
 	Markdown.pl README.md > README.html
 
+gh-pages:
+	mkdocs gh-deploy --clean
+
 clean:
-	rm -rf doc
 	rm -f MANIFEST *.bak src/luacov.*.out README.html
 
 realclean: clean

=== debian/changelog ===
lua-messagepack (0.3.6-1) unstable; urgency=medium

  * New upstream release

 -- Jason Pleau <jason@jpleau.ca>  Sat, 03 Dec 2016 12:25:12 -0500

=== debian/control ===
Source: lua-messagepack
Section: interpreters
Priority: optional
Maintainer: Jason Pleau <jason@jpleau.ca>
Build-Depends: debhelper (>= 9), dh-lua
Standards-Version: 3.9.7
Homepage: http://fperrad.github.io/lua-MessagePack/
Vcs-Git: https://anonscm.debian.org/cgit/pkg-lua/lua-messagepack.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lua/lua-messagepack.git

Package: lua-messagepack
Architecture: all
Depends: ${misc:Depends}
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: pure Lua implementation of MessagePack
 Lua module that provides an API to convert Lua data structures to MessagePack,
 and vice versa.
 .
 MessagePack is an efficient binary serialization format.
 .
 It lets you exchange data among multiple languages like JSON but it's faster,
 and smaller.

## lua-messagepack 0.4.0

=== debian/changelog ===
lua-messagepack (0.4.0-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 3.9.8, no changes were needed

 -- Jason Pleau <jason@jpleau.ca>  Thu, 05 Jan 2017 16:17:56 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Jason Pleau <jason@jpleau.ca>
 Build-Depends: debhelper (>= 9), dh-lua
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: http://fperrad.github.io/lua-MessagePack/
 Vcs-Git: https://anonscm.debian.org/cgit/pkg-lua/lua-messagepack.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lua/lua-messagepack.git

## lua-messagepack 0.5.0

=== Makefile ===
--- 
+++ 
@@ -89,7 +89,7 @@
 	cd $(SRC) && prove --exec=$(LUA) ../test/*.t
 
 luacheck:
-	luacheck --std=max --codes src --ignore 211/_ENV 212 213 311/j
+	luacheck --std=max --codes src --ignore 211/_ENV 212 213 311/j 631
 	luacheck --std=max --codes src5.3 --ignore 211/_ENV 212 213 311/j
 	luacheck --std=max --config .test.luacheckrc test/*.t

=== debian/changelog ===
lua-messagepack (0.5.0-1) unstable; urgency=medium

  * New upstream release
  * Update copyright dates in d/copyright
  * Bump Standards-Version to 4.0.0, no changes needed

 -- Jason Pleau <jason@jpleau.ca>  Mon, 17 Jul 2017 20:11:56 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Jason Pleau <jason@jpleau.ca>
 Build-Depends: debhelper (>= 9), dh-lua
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://fperrad.github.io/lua-MessagePack/
 Vcs-Git: https://anonscm.debian.org/cgit/pkg-lua/lua-messagepack.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lua/lua-messagepack.git

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/lua-messagepack-$1\.tar\.gz/ \
  https://github.com/fperrad/lua-MessagePack/releases .*/v?(\d\S*)\.tar\.gz

## lua-messagepack 0.5.1

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 TARBALL := lua-messagepack-$(VERSION).tar.gz
 REV     := 1
 
-LUAVER  := 5.1
+LUAVER  := 5.2
 PREFIX  := /usr/local
 DPREFIX := $(DESTDIR)$(PREFIX)
 LIBDIR  := $(DPREFIX)/share/lua/$(LUAVER)
@@ -101,7 +101,7 @@
 coveralls:
 	rm -f src/luacov.stats.out src/luacov.report.out
 	cd $(SRC) && prove --exec="$(LUA) -lluacov" ../test/*.t
-	cd $(SRC) && luacov-coveralls -e ^/usr -e %.t$
+	cd $(SRC) && luacov-coveralls -e /HERE/ -e %.t$
 
 README.html: README.md
 	Markdown.pl README.md > README.html

=== debian/changelog ===
lua-messagepack (0.5.1-1) unstable; urgency=medium

  * New upstream release
  * Update copyright dates in d/copyright
  * Bump Standards-Version to 4.1.3
  * Point Vcs-* fields to salsa.debian.org
  * Bump debhelper compat to 11

 -- Jason Pleau <jason@jpleau.ca>  Sat, 17 Mar 2018 10:19:54 -0400

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: interpreters
 Priority: optional
 Maintainer: Jason Pleau <jason@jpleau.ca>
-Build-Depends: debhelper (>= 9), dh-lua
-Standards-Version: 4.0.0
+Build-Depends: debhelper (>= 11), dh-lua
+Standards-Version: 4.1.3
 Homepage: http://fperrad.github.io/lua-MessagePack/
-Vcs-Git: https://anonscm.debian.org/cgit/pkg-lua/lua-messagepack.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lua/lua-messagepack.git
+Vcs-Git: https://salsa.debian.org/lua-team/lua-messagepack
+Vcs-Browser: https://salsa.debian.org/lua-team/lua-messagepack
 
 Package: lua-messagepack
 Architecture: all

## lua-messagepack 0.5.2

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,10 @@
 
+ifeq ($(wildcard bed),bed)
+LUA     := $(CURDIR)/bed/bin/lua
+else
 LUA     := lua
-VERSION := $(shell cd src && $(LUA) -e "m = require [[MessagePack]]; print(m._VERSION)")
+endif
+VERSION := $(shell LUA_PATH=";;src/?.lua" $(LUA) -e "m = require [[MessagePack]]; print(m._VERSION)")
 TARBALL := lua-messagepack-$(VERSION).tar.gz
 REV     := 1
 
@@ -15,6 +19,8 @@
 else
 SRC     := src
 endif
+
+BED_OPTS:= --lua latest
 
 all:
 	@echo "Nothing to build here, you can just make install"
@@ -83,36 +89,46 @@
 	luarocks pack rockspec/lua-messagepack-$(VERSION)-$(REV).rockspec
 	luarocks pack rockspec/lua-messagepack-lua53-$(VERSION)-$(REV).rockspec
 
+bed:
+	hererocks bed $(BED_OPTS) --no-readline --luarocks latest --verbose
+	bed/bin/luarocks install lua-testmore
+	bed/bin/luarocks install lua-coat
+	bed/bin/luarocks install lbc
+	bed/bin/luarocks install luacov
+	hererocks bed --show
+	bed/bin/luarocks list
+
 check: test
 
 test:
-	cd $(SRC) && prove --exec=$(LUA) ../test/*.t
+	LUA_PATH=";;$(CURDIR)/$(SRC)/?.lua" \
+		prove --exec=$(LUA) test/*.lua
 
 luacheck:
 	luacheck --std=max --codes src --ignore 211/_ENV 212 213 311/j 631
 	luacheck --std=max --codes src5.3 --ignore 211/_ENV 212 213 311/j
-	luacheck --std=max --config .test.luacheckrc test/*.t
+	luacheck --std=max --config .test.luacheckrc test
 
 coverage:
-	rm -f src/luacov.stats.out src/luacov.report.out
-	cd $(SRC) && prove --exec="$(LUA) -lluacov" ../test/*.t
-	cd $(SRC) && luacov
-
-coveralls:
-	rm -f src/luacov.stats.out src/luacov.report.out
-	cd $(SRC) && prove --exec="$(LUA) -lluacov" ../test/*.t
-	cd $(SRC) && luacov-coveralls -e /HERE/ -e %.t$
+	rm -f luacov.*
+	-LUA_PATH=";;$(CURDIR)/$(SRC)/?.lua" \
+		prove --exec="$(LUA) -lluacov" test/*.lua
+	luacov-console $(CURDIR)/src
+	luacov-console -s $(CURDIR)/src
+	luacov-console test
+	luacov-console -s test
 
 README.html: README.md
 	Markdown.pl README.md > README.html
 
-gh-pages:
-	mkdocs gh-deploy --clean
+pages:
+	mkdocs build -d public
 
 clean:
-	rm -f MANIFEST *.bak src/luacov.*.out README.html
+	rm -f MANIFEST *.bak luacov.* README.html
 
 realclean: clean
+	rm -rf bed
 
 .PHONY: test rockspec CHANGES

=== debian/changelog ===
lua-messagepack (0.5.2-2) unstable; urgency=medium

  * Team upload
  * Drop lua5.2 support

 -- Bastian Germann <bage@debian.org>  Tue, 14 Oct 2025 13:16:11 +0200

lua-messagepack (0.5.2-1) unstable; urgency=medium

  * New upstream release (Closes: #939089)
  * Project has moved upstream -> update various urls
  * use debhelper-compat instead of debian/compat file
  * Update Standards-Version to 4.4.0, no changes
  * Update copyright years

 -- Jason Pleau <jason@jpleau.ca>  Fri, 13 Sep 2019 17:45:02 -0400

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: interpreters
 Priority: optional
 Maintainer: Jason Pleau <jason@jpleau.ca>
-Build-Depends: debhelper (>= 11), dh-lua
-Standards-Version: 4.1.3
-Homepage: http://fperrad.github.io/lua-MessagePack/
+Build-Depends: debhelper-compat (= 12), dh-lua
+Standards-Version: 4.4.0
+Homepage: https://fperrad.frama.io/lua-MessagePack/
 Vcs-Git: https://salsa.debian.org/lua-team/lua-messagepack
 Vcs-Browser: https://salsa.debian.org/lua-team/lua-messagepack

=== debian/tests/control ===
Tests: dh-lua-tests
Restrictions: rw-build-tree
Depends: @, dh-lua

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/archive\/(\d\S+)\/lua-MessagePack.*\.tar\.gz/lua-MessagePack-$1\.tar\.gz/g \
  https://framagit.org/fperrad/lua-MessagePack/tags?sort=updated_desc .*/archive/(\d\S+)/.*\.tar\.gz.*
